org.gjt.sp.jedit.bsh.collection

## Class CollectionManagerImpl

- java.lang.Object
- - org.gjt.sp.jedit.bsh.CollectionManager
  - - org.gjt.sp.jedit.bsh.collection.CollectionManagerImpl

    public class CollectionManagerImpl
    extends CollectionManager

Dynamically loaded extension supporting post 1.1 collections iterator.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.gjt.sp.jedit.bsh.CollectionManager

`CollectionManager.BasicBshIterator`

### Constructor Summary

Constructors
Constructor and Description
`CollectionManagerImpl()`

### Method Summary

Methods
`BshIterator` `getBshIterator(java.lang.Object obj)`
`java.lang.Object` `getFromMap(java.lang.Object map, java.lang.Object key)`
`boolean` `isMap(java.lang.Object obj)`
`java.lang.Object` `putInMap(java.lang.Object map, java.lang.Object key, java.lang.Object value)`

### Methods inherited from class org.gjt.sp.jedit.bsh.CollectionManager

`getCollectionManager, isBshIterable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionManagerImpl

    public CollectionManagerImpl()

### Method Detail

#### getBshIterator

    public BshIterator getBshIterator(java.lang.Object obj)
                               throws java.lang.IllegalArgumentException

Overrides:
  `getBshIterator` in class `CollectionManager`
Throws:
  `java.lang.IllegalArgumentException`

#### isMap

    public boolean isMap(java.lang.Object obj)

Overrides:
  `isMap` in class `CollectionManager`

#### getFromMap

    public java.lang.Object getFromMap(java.lang.Object map,
                              java.lang.Object key)

Overrides:
  `getFromMap` in class `CollectionManager`

#### putInMap

    public java.lang.Object putInMap(java.lang.Object map,
                            java.lang.Object key,
                            java.lang.Object value)

Overrides:
  `putInMap` in class `CollectionManager`